Skip to main content
GET
/
{alias}
/
search
/
leads
Listar Leads retornados pela busca
curl --request GET \
  --url https://api.dooki.com.br/v2/{alias}/search/leads \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>'
import requests

url = "https://api.dooki.com.br/v2/{alias}/search/leads"

headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'User-Token': '<api-key>', 'User-Secret-Key': '<api-key>'}
};

fetch('https://api.dooki.com.br/v2/{alias}/search/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "merchant_id": "1",
  "name": "Nome do Lead",
  "email": "lead@email.com",
  "birthday": "yyyy-mm-dd",
  "city": "São Paulo",
  "state": "SP",
  "genre": "m",
  "utm_source": "",
  "utm_campaign": "",
  "utm_medium": "",
  "utm_term": "",
  "utm_content": "",
  "params": {
    "foo": "Bar",
    "param2": "Param2Value"
  },
  "is_customer": "true",
  "customer_id": "123",
  "customer_since": "yyyy-mm-dd",
  "created_at": {
    "date": "2000-08-17 10:24:24",
    "timezone_type": 3,
    "timezone": "America/Sao_Paulo"
  },
  "updated_at": {
    "date": "2000-08-17 10:24:24",
    "timezone_type": 3,
    "timezone": "America/Sao_Paulo"
  }
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

Response

Lista de leads através da busca

Representa um lead da lista de leads

id
integer
merchant_id
integer
read-only
Example:

"1"

name
string
Example:

"Nome do Lead"

email
string
Example:

"lead@email.com"

birthday
string<date>
Example:

"yyyy-mm-dd"

city
string
Example:

"São Paulo"

state
string
Example:

"SP"

genre
string
Example:

"m"

utm_source
string
Example:

""

utm_campaign
string
Example:

""

utm_medium
string
Example:

""

utm_term
string
Example:

""

utm_content
string
Example:

""

params
string
Example:
{ "foo": "Bar", "param2": "Param2Value" }
is_customer
boolean
Example:

"true"

customer_id
integer
Example:

"123"

customer_since
string<date>
Example:

"yyyy-mm-dd"

created_at
object
updated_at
object